# TransferNameOptions | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

Transfer name options

param

  the fully qualified name to transfer including the namespace (myName.id)

param

  the recipient address of the name transfer

param

  the optional zonefile to register with the name

param

  the private key to sign the transaction

param

  the Stacks blockchain network to use

### Hierarchy

- TransferNameOptions

## Index

### Properties

- fullyQualifiedName
- network
- newOwnerAddress
- publicKey
- zonefile

## Properties

### fullyQualifiedName

fullyQualifiedName: string

- Defined in packages/bns/src/index.ts:645

### network

network: StacksNetwork

- Defined in packages/bns/src/index.ts:648

### newOwnerAddress

newOwnerAddress: string

- Defined in packages/bns/src/index.ts:646

### publicKey

publicKey: string

- Defined in packages/bns/src/index.ts:647

### Optional zonefile

zonefile: string

- Defined in packages/bns/src/index.ts:649

Generated using TypeDoc